-- 编码规则设置为支持引入引出，并绑定引入引出插件、支持批量、修改帮忙文本
-- 设置自定义参数：打开后修改ServiceAppId为ricc，此举是为了解决BT-01205408 编码规则重复打开同一个规则的时候，提示报错空指针
UPDATE t_ricc_configitems SET FSUPPORTADDTOPACKET='1',FIMPORTTYPE='custom',FPLUGIN='kd.sys.ricc.business.datapacket.core.impl.plugin.CodeRuleImpl',FCANEXPORTALL='1',
FPAGEENTERPARAM='{"params":{"setCustomParam":{"ServiceAppId":"ricc"}}}',
FHELPTEXT='## 编码规则<br><br>  ### 1 功能描述 <br><br>对于同一类型的基础资料和业务单据，需要采用统一的编码生成策略进行管理，这个编码生成策略叫编码规则。<br><br>操作路径：【系统服务云】→【配置工具】→【编码规则配置】<br><br>**注意事项：**<br><br>1. 编码规则传输**不会修改最大号**，如目标环境已存在最大号，修改编码规则传输到目标环境后，新的编码规则会从最大号开始生成；<br>2. 传输同步**根据编码规则的ID匹配识别新增或更新数据**，不会覆盖目标环境手工新增的编码规则，**如有冲突需手工处理**(比如相同适用条件的编码规则)；<br><br>### 2 操作说明<br><br>- [配置简单的编码规则](https://club.kdcloud.com/article/126820306177243904)<br>- [编码规则之断号表](https://club.kdcloud.com/article/42986749942104064)<br>- [编码规则之最大号表](https://club.kdcloud.com/article/42984602915635200)<br>- [编码规则之适用条件](https://club.kdcloud.com/article/182173429032905984)<br>- [编码规则之受控组织](https://club.kdcloud.com/article/write?id=127029937978541568)<br><br>----<br><br>### 3 主要字段说明<br><br>- **新增显示：**新增界面就会显示出编码。<br><br>- **允许修改：**编码字段允许人工手动修改。<br><br>- **系统日期**：当前系统的日期，可设置日期格式，例如YYYY,YYYY-MM-DD，YYYYMMDD等格式。<br><br>- **流水号**：顺序号，可以设置长度、起始值。流水号还有断号补偿开关，如果开启该属性，流水号是不允许断号的，当删除单据时会回收该断号，下一次新增的单据会优先使用断号。<br><br>- **流水号依据：**需要在流水号前的分段设置，作为编码分组的依据。<br><br>- **业务对象日期**：来源于业务对象所有和时间有关的字段，也可以设置格式。<br><br>- **业务对象字段**：来源于业务对象的字段，使用模式有补位和截断两种模式。<br><br>  ​                           补位：根据长度自动补齐，分为左侧补位和 右侧补位。<br><br>  ​                           截取：根据长度截取部分属性值，分为左侧截取和右侧截取。<br><br>- **适用条件 :**当一个单据有多个编码规则时，可以通过适用条件控制编码规则生效范围，在获取单据编码规则时会过滤不符合条件的规则。<br><br>- **受控组织 :**当不同的组织需要使用不同的编码规则时，可以通过受控组织控制编码规则在哪些组织下才生效。<br><br>  <br><br>----<br><br>### 4 其他操作  <br><br>更多知识详情见[金蝶社区](https://club.kdcloud.com/)<br><br>' 
WHERE FID = 1231191105123388416;
